Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package reify
  Definition Classes
    reflect
-  package codegen
  Definition Classes
    reify
-  package phases
  Definition Classes
    reify
-  package utils
  Definition Classes
    reify
- Errors
- Phases
- Reifier
- States
- Taggers

c

scala.reflect.reify

# Taggers

###

#### abstract class Taggers extends AnyRef

Source
  Taggers.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Taggers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Taggers()

### Abstract Value Members

1.  abstract val c: Context

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Taggers toany2stringadd[Taggers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Taggers, B)
   Implicit
     This member is added by an implicit conversion from Taggers toArrowAssoc[Taggers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val coreTags: Map[tools.nsc.Global.Type, tools.nsc.Global.TermName]
9.  def ensuring(cond: (Taggers) => Boolean, msg: => Any): Taggers
   Implicit
     This member is added by an implicit conversion from Taggers toEnsuring[Taggers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Taggers) => Boolean): Taggers
    Implicit
      This member is added by an implicit conversion from Taggers toEnsuring[Taggers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Taggers
    Implicit
      This member is added by an implicit conversion from Taggers toEnsuring[Taggers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Taggers
    Implicit
      This member is added by an implicit conversion from Taggers toEnsuring[Taggers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Taggers toStringFormat[Taggers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def materializeClassTag(tpe: tools.nsc.Global.Type): tools.nsc.Global.Tree
21.  def materializeExpr(universe: tools.nsc.Global.Tree, mirror: tools.nsc.Global.Tree, expr: tools.nsc.Global.Tree): tools.nsc.Global.Tree
22.  def materializeTypeTag(universe: tools.nsc.Global.Tree, mirror: tools.nsc.Global.Tree, tpe: tools.nsc.Global.Type, concrete: Boolean): tools.nsc.Global.Tree
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Taggers, B)
   Implicit
     This member is added by an implicit conversion from Taggers toArrowAssoc[Taggers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTaggers to any2stringadd[Taggers]

### Inherited by implicit conversion StringFormat fromTaggers to StringFormat[Taggers]

### Inherited by implicit conversion Ensuring fromTaggers to Ensuring[Taggers]

### Inherited by implicit conversion ArrowAssoc fromTaggers to ArrowAssoc[Taggers]

### Ungrouped